com.amazonaws.services.codedeploy.model

## Class AutoScalingGroup

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.AutoScalingGroup

All Implemented Interfaces:
  Serializable, Cloneable

    public class AutoScalingGroup
    extends Object
    implements Serializable, Cloneable

Information about an Auto Scaling group.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AutoScalingGroup()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AutoScalingGroup` `clone()`
`boolean` `equals(Object obj)`
`String` `getHook()` An Auto Scaling lifecycle event hook name.
`String` `getName()` The Auto Scaling group name.
`int` `hashCode()`
`void` `setHook(String hook)` An Auto Scaling lifecycle event hook name.
`void` `setName(String name)` The Auto Scaling group name.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`AutoScalingGroup` `withHook(String hook)` An Auto Scaling lifecycle event hook name.
`AutoScalingGroup` `withName(String name)` The Auto Scaling group name.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AutoScalingGroup

    public AutoScalingGroup()

### Method Detail

#### setName

    public void setName(String name)

The Auto Scaling group name.

Parameters:
  `name` - The Auto Scaling group name.

#### getName

    public String getName()

The Auto Scaling group name.

Returns:
  The Auto Scaling group name.

#### withName

    public AutoScalingGroup withName(String name)

The Auto Scaling group name.

Parameters:
  `name` - The Auto Scaling group name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setHook

    public void setHook(String hook)

An Auto Scaling lifecycle event hook name.

Parameters:
  `hook` - An Auto Scaling lifecycle event hook name.

#### getHook

    public String getHook()

An Auto Scaling lifecycle event hook name.

Returns:
  An Auto Scaling lifecycle event hook name.

#### withHook

    public AutoScalingGroup withHook(String hook)

An Auto Scaling lifecycle event hook name.

Parameters:
  `hook` - An Auto Scaling lifecycle event hook name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public AutoScalingGroup clone()

Overrides:
  `clone` in class `Object`